SRS Integration Partner Services
HomeAPIs
HomeAPIs
  1. Customers
  • Authentication
    • Token
      POST
  • Orders
    • Delivery Details
      GET
    • Deliveries List
      POST
    • Proof of Delivery
      GET
    • Order Details
      GET
    • Order List
      POST
    • Submit Order
      POST
  • Invoices
    • Invoice Details
      GET
    • Invoices List
      POST
    • Invoice Pdf
      GET
  • Products
    • Price
      POST
    • UOM Conversion
      GET
    • Color Recommendations
      POST
    • Catalog Item Convert
      POST
    • Catalog
      GET
    • By Item Codes
      POST
  • Customers
    • Customer Details
      GET
    • Validate Customer
      GET
    • Order Templates
      GET
    • Purchase History V2
      GET
  • Branches
    • Branch Locations
      GET
    • Active Branch Products
      GET
    • Customer Branch Locations
      GET
  • Deliveries
    • Coordinates
  1. Customers

Purchase History V2

GET
/customers/V2/{customerCode}/purchaseHistory
Retrieves the purchase history for a specific customer within a given date range.

Request

Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://services-qa.roofhub.pro/customers/V2/S010258/purchaseHistory?fromDate=2022-11-09&toDate=2026-06-01' \
--header 'Authorization: Bearer'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "productList": [
        {
            "productId": 77283,
            "productName": "Versico VersiWeld Bonding Adhesive",
            "productOption": [
                "N/A"
            ],
            "productDescription": "VersiWeld Bonding Adhesive is a high-strength solvent-based contact adhesive that allows bonding of VersiWeld TPO membrane to various porous and non-porous substrates",
            "manufacturer": "Versico",
            "productVariants": [
                {
                    "colorName": "Yellow",
                    "variantCode": "VERTBA5",
                    "uoMs": [
                        {
                            "name": "5G",
                            "isDefaultMeasure": false
                        },
                        {
                            "name": "PAL",
                            "isDefaultMeasure": false
                        }
                    ],
                    "sizeName": "5 gal",
                    "productOptionsId": 8133
                }
            ]
        }
    ]
}
Modified at 2026-07-14 21:01:13
Previous
Order Templates
Next
Branch Locations
Built with